---
# vars file for roles/ae-dir-server

# explicit use of a specific Python version
aedir_python_version: "{{ '3.8' if ansible_lsb.description == 'openSUSE Tumbleweed' else '3.6' }}"

# which repos on https://download.opensuse.org to use for openSUSE or SLES versions
aedir_suse_repo:
  "SUSE Linux Enterprise Server 15": "https://download.opensuse.org/repositories/home:/stroeder:/iam/SLE_15/"
  "openSUSE Leap 15.1": "https://download.opensuse.org/repositories/home:/stroeder:/iam/openSUSE_Leap_15.1/"
  "openSUSE Leap 15.2": "https://download.opensuse.org/repositories/home:/stroeder:/iam/openSUSE_Leap_15.2/"
  "openSUSE Tumbleweed": "https://download.opensuse.org/repositories/home:/stroeder:/iam/openSUSE_Tumbleweed/"

aedir_package_repos:
  "home_stroeder_iam":
    repo: "{{ aedir_suse_repo.get(ansible_lsb.description, '') }}"
    key: ""

# OS-specific Python paths
aedir_python_paths:
  python_exec: "/usr/bin/python{{ aedir_python_version }}"
  site_packages: "/usr/lib/python{{ aedir_python_version }}/site-packages"

# Pathname of OpenSSL command-line tool
openssl_exec: "/usr/bin/openssl"

# OS-specific maps
openldap_path:
  # openSUSE packages
  prefix: /usr
  bin: /usr/bin
  sbin: /usr/sbin
  conf_prefix: /etc/openldap
  data: /var/lib/ldap
  rundir: /var/run/slapd
  slapd_exec: /usr/lib64/slapd
  libdir: /usr/lib64
  modules: /usr/lib64/openldap

cron_config:
  service_name: "cron"
  pkg_name: "cron"

# conf_pathname: where to place the monolithic apache configuration file
# mod_dir: directory where Apache modules are found
# modules: which modules to load
apache2_config:
  service_name: "apache2"
  user: "wwwrun"
  group: "www"
  pid_file: ""
  httpd_exec: "/usr/sbin/httpd-prefork"
  conf_pathname: "/etc/apache2/httpd.conf"
  mod_dir: "/usr/lib64/apache2"
  run_dir: "/var/run/apache2"
  modules:
    - log_config
    - socache_shmcb
    - env
    - dir
    - alias
    - ssl
    - mime
    - authz_core
    - authz_host
    - headers
    - deflate
    - filter
    - logio
    - proxy
    - proxy_uwsgi

web2ldap_paths:
  configdir: "/etc/web2ldap"

# which uwsgi executable to use
uwsgi_paths:
  exec: "/usr/sbin/uwsgi"
  syslog_plugin: "/usr/lib64/uwsgi/syslog_plugin.so"
  python_plugin: "/usr/lib64/uwsgi/python3_plugin.so"
